package com.ruoyi.project.document.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 公共盘文档对象 t_publicdoc
 *
 * @author ruoyi
 * @date 2020-12-03
 */
public class TPublicdoc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String filename;

    /** 目录ID */
    private String menuid;

    /** 负责人 */
    @Excel(name = "负责人")
    private String responsibility;

    /** 具体行动 */
    @Excel(name = "具体行动")
    private String action;

    /** 位置 */
    @Excel(name = "位置")
    private String location;

    /** 文件放置频次 */
    private String frequency;

    /** 文件最新日期 */
    private String filedate;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 目录 */
    @Excel(name = "目录")
    private String menuName;

    /** 序号第一位 */
    private Long itemFirst;

    /** 序号第二位 */
    private Long itemSecond;

    /** 序号第三位 */
    private Long itemThird;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFilename(String filename)
    {
        this.filename = filename;
    }

    public String getFilename()
    {
        return filename;
    }
    public void setMenuid(String menuid)
    {
        this.menuid = menuid;
    }

    public String getMenuid()
    {
        return menuid;
    }
    public void setResponsibility(String responsibility)
    {
        this.responsibility = responsibility;
    }

    public String getResponsibility()
    {
        return responsibility;
    }
    public void setAction(String action)
    {
        this.action = action;
    }

    public String getAction()
    {
        return action;
    }
    public void setLocation(String location)
    {
        this.location = location;
    }

    public String getLocation()
    {
        return location;
    }
    public void setFrequency(String frequency)
    {
        this.frequency = frequency;
    }

    public String getFrequency()
    {
        return frequency;
    }
    public void setFiledate(String filedate)
    {
        this.filedate = filedate;
    }

    public String getFiledate()
    {
        return filedate;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setMenuName(String menuName)
    {
        this.menuName = menuName;
    }

    public String getMenuName()
    {
        return menuName;
    }
    public void setItemFirst(Long itemFirst) { this.itemFirst = itemFirst; }

    public Long getItemFirst() { return itemFirst; }
    public void setItemSecond(Long itemSecond) { this.itemSecond = itemSecond; }

    public Long getItemSecond() { return itemSecond; }
    public void setItemThird(Long itemThird) { this.itemThird = itemThird; }

    public Long getItemThird() { return itemThird; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("filename", getFilename())
            .append("menuid", getMenuid())
            .append("responsibility", getResponsibility())
            .append("action", getAction())
            .append("location", getLocation())
            .append("frequency", getFrequency())
            .append("filedate", getFiledate())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("menuName", getMenuName())
            .append("itemFirst", getItemFirst())
            .append("itemSecond", getItemSecond())
            .append("itemThird", getItemThird())
            .toString();
    }
}
